কনটেন্টে যান

LTX-Video 13B 0.9.8 Distilled · Multiconditioning

ইন্টিগ্রেট করুন

মডেল id ltxv-13b-098-distilled/multiconditioning
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltxv-13b-098-distilled/multiconditioning?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

উদাহরণের মতো ফাইল: ০.১০১$ ১০১ API ক্রেডিট · ≈ ১০.৮৪₽ চালানোর আগে আপনার ফাইল মাপা হয় এই পেজে চালান

API কী পান
Lightricks ভিডিও থেকে ভিডিও দ্রুত720p পর্যন্ত #video#ltx-video#video-to-video#multicondition-to-video

একসঙ্গে একাধিক ছবি ও ভিডিও এবং একটি প্রম্পটের ভিত্তিতে 0.9.8 distilled 13B জেনারেশন

Lightricks · ভিডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক

জেনারেশন নির্দেশনাদানকারী টেক্সট নির্দেশনা।

resolution ডিফল্ট 720p

আউটপুট ভিডিওর রেজোলিউশন।

aspect_ratio ডিফল্ট auto

ভিডিওর aspect ratio।

ডিফল্ট 121

ভিডিওর মোট ফ্রেম সংখ্যা।

অ্যাডভান্সড negative_prompt · first_pass_num_inference_steps · second_pass_num_inference_steps · second_pass_skip_initial_steps · frame_rate · temporal_adain_factor · tone_map_compression_ratio · constant_rate_factor · seed · expand_prompt · reverse_video · enable_safety_checker · loras · images · videos
ডিফল্ট worst quality, incons...

জেনারেশনের জন্য নেতিবাচক টেক্সট নির্দেশনা।

ডিফল্ট 8

প্রথম পাসের ইনফারেন্স ধাপের সংখ্যা।

ডিফল্ট 8

দ্বিতীয় পাসের ইনফারেন্স ধাপের সংখ্যা।

ডিফল্ট 5

দ্বিতীয় পাসে বাদ দেওয়ার প্রাথমিক ইনফারেন্স-ধাপের সংখ্যা, যা বড় পরিবর্তনের বদলে সূক্ষ্ম বিবরণে সেই পাসকে কেন্দ্রীভূত করে।

ডিফল্ট 24

ভিডিওর ফ্রেম রেট।

ডিফল্ট 0.5

অ্যাডাপটিভ ইনস্ট্যান্স নর্মালাইজেশন (AdaIN) শক্তি, যা বেশি সেটিংয়ে রঙের সামঞ্জস্য এবং কম সেটিংয়ে বেশি রঙের বৈচিত্র্যের মধ্যে ভারসাম্য বজায় রাখে। এটি প্রথমটি ছাড়া জেনারেট করা প্রতিটি খণ্ডে কাজ করে, পুরো ভিডিওতে রঙের বণ্টন স্বাভাবিক করে এবং স্যাচুরেশন বা কনট্রাস্টের ক্রমবর্ধমান বৃদ্ধি কমাতে সহায়তা করে।

ডিফল্ট 0

টোন-ম্যাপিং কমপ্রেশন স্তর, 0.0-এ কোনো কমপ্রেশন না থাকা থেকে 1.0-এ সর্বাধিক কমপ্রেশন পর্যন্ত। এভাবে ভিডিওর ডায়নামিক রেঞ্জ কমপ্রেস করলে ভিজ্যুয়াল মান উন্নত হয়।

ডিফল্ট 29

ইনপুট কমপ্রেশনের জন্য ব্যবহৃত কনস্ট্যান্ট রেট ফ্যাক্টর (CRF), যা সরবরাহ করা মিডিয়াকে মডেলের প্রশিক্ষণ ডেটার কাছাকাছি এনে মোশন কোয়ালিটি উন্নত করতে পারে।

জেনারেশনের সময় র‍্যান্ডমনেস নিয়ন্ত্রণকারী সিড।

ডিফল্ট []

জেনারেশনের সময় প্রয়োগ করা LoRA ওজন।

ডিফল্ট []

URL দ্বারা সরবরাহ করা কন্ডিশনিং ছবিগুলো।

ডিফল্ট []

কন্ডিশনিংয়ের জন্য সরবরাহ করা ভিডিওগুলো।

POST /run/ltxv-13b-098-distilled/multiconditioning?wait=20 মূল্য → ০.১০১$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltxv-13b-098-distilled/multiconditioning?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

LTX-Video 13B 0.9.8 Distilled · Multiconditioning সম্পর্কে

প্রয়োজনীয় `prompt`-এর সঙ্গে কন্ডিশনিং `images` ও `videos`-এর তালিকা ব্যবহার করে একটি ভিডিও তৈরি করে, যাতে একাধিক রেফারেন্স একটি ফলাফলকে প্রভাবিত করতে পারে। আউটপুট 480p বা 720p, `aspect_ratio` auto, 9:16, 1:1 অথবা 16:9 হতে পারে। `num_frames` 9 থেকে 1441, আর `loras` কাস্টম ওজন যোগ করে।

প্যারামিটার

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
জেনারেশন নির্দেশনাদানকারী টেক্সট নির্দেশনা।
negative_promptঐচ্ছিক
ধরনstring
ডিফল্টworst quality, inconsistent motion, blurry, jittery, distorted
জেনারেশনের জন্য নেতিবাচক টেক্সট নির্দেশনা।
lorasঐচ্ছিক
ধরনobject[]
ডিফল্ট[]
জেনারেশনের সময় প্রয়োগ করা LoRA ওজন।
loras[].pathআবশ্যক
ধরনstring
LoRA ওজনের অবস্থান, URL বা পাথ হিসেবে দেওয়া।
loras[].weight_nameঐচ্ছিক
ধরনstring | null
HuggingFace repository-তে একাধিক ওজনের মধ্য থেকে নির্বাচন করার জন্য LoRA ওজনের নাম; শুধু একাধিক ওজন থাকা repository-তে এটি প্রয়োজন। `path` কোনো HuggingFace repository শনাক্ত না করলে এই সেটিংয়ের কোনো প্রভাব নেই।
loras[].scaleঐচ্ছিক
ধরনnumber
ডিফল্ট1
০ – ৪
লোড করার সময় LoRA ওজনের স্কেল নির্ধারণকারী গুণক।
resolutionঐচ্ছিক
ধরনenum
ডিফল্ট720p
480p720p
আউটপুট ভিডিওর রেজোলিউশন।
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্টauto
9:161:116:9auto
ভিডিওর aspect ratio।
seedঐচ্ছিক
ধরনinteger | null
জেনারেশনের সময় র‍্যান্ডমনেস নিয়ন্ত্রণকারী সিড।
num_framesঐচ্ছিক
ধরনinteger
ডিফল্ট121
৯ – ১,৪৪১
ভিডিওর মোট ফ্রেম সংখ্যা।
first_pass_num_inference_stepsঐচ্ছিক
ধরনinteger
ডিফল্ট8
২ – ১২
প্রথম পাসের ইনফারেন্স ধাপের সংখ্যা।
second_pass_num_inference_stepsঐচ্ছিক
ধরনinteger
ডিফল্ট8
২ – ১২
দ্বিতীয় পাসের ইনফারেন্স ধাপের সংখ্যা।
second_pass_skip_initial_stepsঐচ্ছিক
ধরনinteger
ডিফল্ট5
১ – ১১
দ্বিতীয় পাসে বাদ দেওয়ার প্রাথমিক ইনফারেন্স-ধাপের সংখ্যা, যা বড় পরিবর্তনের বদলে সূক্ষ্ম বিবরণে সেই পাসকে কেন্দ্রীভূত করে।
frame_rateঐচ্ছিক
ধরনinteger
ডিফল্ট24
১ – ৬০
ভিডিওর ফ্রেম রেট।
expand_promptঐচ্ছিক
ধরনboolean
ডিফল্টfalse
ভাষা মডেলের মাধ্যমে প্রম্পট সম্প্রসারণ।
reverse_videoঐচ্ছিক
ধরনboolean
ডিফল্টfalse
ভিডিওর প্লেব্যাকের ক্রম উল্টে দেওয়া।
enable_safety_checkerঐচ্ছিক
ধরনboolean
ডিফল্টtrue
নিরাপত্তা যাচাইয়ের সুইচ; off সেটিংটি শুধু অনুমোদিত অ্যাকাউন্টের ক্ষেত্রে কার্যকর হয়। সেই অনুমোদন ছাড়া সব রিকোয়েস্টে নিরাপত্তা যাচাই করা হয়।
enable_detail_passঐচ্ছিক
ধরনboolean
ডিফল্টfalse
ঐচ্ছিক দ্বিতীয় পরিশোধন পাস, সক্রিয় থাকলে ভিডিওর বিবরণ উন্নত করে।
temporal_adain_factorঐচ্ছিক
ধরনnumber
ডিফল্ট0.5
০ – ১
অ্যাডাপটিভ ইনস্ট্যান্স নর্মালাইজেশন (AdaIN) শক্তি, যা বেশি সেটিংয়ে রঙের সামঞ্জস্য এবং কম সেটিংয়ে বেশি রঙের বৈচিত্র্যের মধ্যে ভারসাম্য বজায় রাখে। এটি প্রথমটি ছাড়া জেনারেট করা প্রতিটি খণ্ডে কাজ করে, পুরো ভিডিওতে রঙের বণ্টন স্বাভাবিক করে এবং স্যাচুরেশন বা কনট্রাস্টের ক্রমবর্ধমান বৃদ্ধি কমাতে সহায়তা করে।
tone_map_compression_ratioঐচ্ছিক
ধরনnumber
ডিফল্ট0
০ – ১
টোন-ম্যাপিং কমপ্রেশন স্তর, 0.0-এ কোনো কমপ্রেশন না থাকা থেকে 1.0-এ সর্বাধিক কমপ্রেশন পর্যন্ত। এভাবে ভিডিওর ডায়নামিক রেঞ্জ কমপ্রেস করলে ভিজ্যুয়াল মান উন্নত হয়।
constant_rate_factorঐচ্ছিক
ধরনinteger
ডিফল্ট29
০ – ৫১
ইনপুট কমপ্রেশনের জন্য ব্যবহৃত কনস্ট্যান্ট রেট ফ্যাক্টর (CRF), যা সরবরাহ করা মিডিয়াকে মডেলের প্রশিক্ষণ ডেটার কাছাকাছি এনে মোশন কোয়ালিটি উন্নত করতে পারে।
imagesঐচ্ছিক
ধরনobject[]
ডিফল্ট[]
URL দ্বারা সরবরাহ করা কন্ডিশনিং ছবিগুলো।
images[].image_urlআবশ্যক
ধরনurl · image
URL দ্বারা সরবরাহ করা কন্ডিশনিং ছবি।
images[].start_frame_numঐচ্ছিক
ধরনinteger
ডিফল্ট0
০ – ১,৪৪০
ছবি কন্ডিশনিং শুরুর অবস্থান, 8 দ্বারা বিভাজ্য ফ্রেম নম্বর ব্যবহার করে নির্দিষ্ট।
images[].strengthঐচ্ছিক
ধরনnumber
ডিফল্ট1
০ – ১
কন্ডিশনিং তীব্রতা: 0.0 কন্ডিশনিং নিষ্ক্রিয় করে, আর 1.0 এটি সম্পূর্ণভাবে প্রয়োগ করে।
videosঐচ্ছিক
ধরনobject[]
ডিফল্ট[]
কন্ডিশনিংয়ের জন্য সরবরাহ করা ভিডিওগুলো।
videos[].video_urlআবশ্যক
ধরনurl · video
URL দ্বারা সরবরাহ করা কন্ডিশনিং ভিডিও।
videos[].conditioning_typeঐচ্ছিক
ধরনenum
ডিফল্টrgb
rgbdepthposecanny
ভিডিও কন্ডিশনিংয়ের শ্রেণি, যা প্রিপ্রসেসিং সক্রিয় থাকলে প্রিপ্রসেসিং পাইপলাইন নির্বাচন করতে এবং ইন-কনটেক্সট LoRA ওজন সঠিকভাবে প্রয়োগ করতে ব্যবহৃত হয়।
videos[].preprocessঐচ্ছিক
ধরনboolean
ডিফল্টfalse
ভিডিওর কন্ডিশনিং ধরনের সঙ্গে মিলিয়ে প্রিপ্রসেসিং সক্রিয় করে। RGB কন্ডিশনিংয়ের ক্ষেত্রে এটি সক্রিয় করলে কোনো পরিবর্তন হয় না।
videos[].start_frame_numঐচ্ছিক
ধরনinteger
ডিফল্ট0
০ – ১,৪৪০
ভিডিওতে কন্ডিশনিং শুরুর অবস্থান, 8 দ্বারা বিভাজ্য ফ্রেম নম্বর হিসেবে নির্দিষ্ট।
videos[].strengthঐচ্ছিক
ধরনnumber
ডিফল্ট1
০ – ১
কন্ডিশনিং তীব্রতা: 0.0 কন্ডিশনিং নিষ্ক্রিয় করে, আর 1.0 এটি সম্পূর্ণভাবে প্রয়োগ করে।
videos[].limit_num_framesঐচ্ছিক
ধরনboolean
ডিফল্টfalse
ভিডিও ফ্রেম-সীমা সুইচ: সক্রিয় করলে ভিডিও থেকে নেওয়া ফ্রেমের সর্বোচ্চ সীমা হিসেবে `max_num_frames` ব্যবহৃত হয়।
videos[].max_num_framesঐচ্ছিক
ধরনinteger
ডিফল্ট1441
১ – ১,৪৪১
ভিডিও থেকে ব্যবহারের ফ্রেম-সীমা; None নির্বাচন করলে সীমিত ফ্রেম সংখ্যার বদলে পুরো ভিডিও নির্বাচন করা হয়।
videos[].resample_fpsঐচ্ছিক
ধরনboolean
ডিফল্টfalse
ভিডিও ফ্রেম-রেট রূপান্তর সুইচ: সক্রিয় করলে `target_fps`-এ নির্দিষ্ট হারে ভিডিওটি পুনরায় স্যাম্পল করা হয়।
videos[].target_fpsঐচ্ছিক
ধরনinteger
ডিফল্ট24
১ – ৬০
FPS-এ পুনরায় স্যাম্পলিং ফ্রেম রেট, কেবল `resample_fps` সক্রিয় থাকলেই প্রযোজ্য।
videos[].reverse_videoঐচ্ছিক
ধরনboolean
ডিফল্টfalse
যেসব কাজে কন্ডিশনিংকে পেছন দিকের ফ্রেম অনুসরণ করতে হয়, সেগুলোর জন্য ভিডিওর ক্রম উল্টে দেওয়া।
আবশ্যক

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltxv-13b-098-distilled/multiconditioning",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 101,
    "usd": "0.101",
    "charged": 101,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "A vibrant, abstract composition featuring a person with outstretched arms, rendered in a kaleidoscope of colors against a deep, dark background. The figure is composed of intricate, swirling patterns reminiscent of a mosaic, with hues of orange, yellow, blue, and green that evoke the style of artists such as Wassily Kandinsky or Bridget Riley. The camera zooms into the face striking portrait of a man, reimagined through the lens of old-school video-game graphics. The subject's face is rendered in a kaleidoscope of colors, with bold blues and reds set against a vibrant yellow backdrop. His dark hair is pulled back, framing his profile in a dramatic pose.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
video
object {url, content_type, file_name, file_size}জেনারেশনের মাধ্যমে তৈরি ভিডিও ফাইল।
prompt
stringআউটপুট জেনারেট করতে ব্যবহৃত প্রম্পট।
seed
integerজেনারেশনের সময় প্রয়োগ করা সিডের মান।

আরও মডেল: ভিডিও থেকে ভিডিও

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/ltxv-13b-098-distilled/multiconditioning.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt